Bug 1772464 (CVE-2019-14888) - CVE-2019-14888 undertow: possible Denial Of Service (DOS) in Undertow HTTP server listening on HTTPS
Summary: CVE-2019-14888 undertow: possible Denial Of Service (DOS) in Undertow HTTP se...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-14888
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1765667
TreeView+ depends on / blocked
 
Reported: 2019-11-14 12:24 UTC by Kunjan Rathod
Modified: 2021-03-04 13:34 UTC (History)
67 users (show)

Fixed In Version: undertow 2.0.28.SP1
Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in the Undertow HTTP server listening on HTTPS. An attacker can target the HTTPS port to carry out a Denial Of Service (DOS) to make the service unavailable on SSL.
Clone Of:
Environment:
Last Closed: 2020-01-21 08:10:10 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:0159 0 None None None 2020-01-21 02:56:45 UTC
Red Hat Product Errata RHSA-2020:0160 0 None None None 2020-01-21 03:46:53 UTC
Red Hat Product Errata RHSA-2020:0161 0 None None None 2020-01-21 03:22:06 UTC
Red Hat Product Errata RHSA-2020:0164 0 None None None 2020-01-21 02:24:11 UTC
Red Hat Product Errata RHSA-2020:0729 0 None None None 2020-03-05 13:13:22 UTC
Red Hat Product Errata RHSA-2020:2067 0 None None None 2020-05-18 10:27:27 UTC
Red Hat Product Errata RHSA-2020:2333 0 None None None 2020-05-28 15:59:33 UTC
Red Hat Product Errata RHSA-2020:2367 0 None None None 2020-06-04 13:11:48 UTC
Red Hat Product Errata RHSA-2020:3192 0 None None None 2020-07-28 15:55:39 UTC

Comment 6 Kunjan Rathod 2019-11-16 06:59:32 UTC
Mitigation:

Enable HTTP2 (enable-http2="true") in the undertow's HTTPS settings.

Comment 14 Pedro Sampaio 2020-01-10 12:54:21 UTC
Acknowledgments:

Name: Henning Baldersheim (Verizon Media), Håvard Pettersen (Verizon Media)

Comment 16 errata-xmlrpc 2020-01-21 02:24:08 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2020:0164 https://access.redhat.com/errata/RHSA-2020:0164

Comment 17 errata-xmlrpc 2020-01-21 02:56:42 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 6

Via RHSA-2020:0159 https://access.redhat.com/errata/RHSA-2020:0159

Comment 18 errata-xmlrpc 2020-01-21 03:22:03 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 8

Via RHSA-2020:0161 https://access.redhat.com/errata/RHSA-2020:0161

Comment 19 errata-xmlrpc 2020-01-21 03:46:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.2 for RHEL 7

Via RHSA-2020:0160 https://access.redhat.com/errata/RHSA-2020:0160

Comment 20 Product Security DevOps Team 2020-01-21 08:10:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-14888

Comment 26 errata-xmlrpc 2020-03-05 13:13:16 UTC
This issue has been addressed in the following products:

  Red Hat Data Grid 7.3.5

Via RHSA-2020:0729 https://access.redhat.com/errata/RHSA-2020:0729

Comment 27 Jonathan Christison 2020-03-11 16:47:14 UTC
Rating Fuse 6 as low because camel-undertow uses a version of undertow in the affected range, however it is not have the original flaws impact because the camel-undertow component does not allow the use of the undertow `SSLEngine` implementation (the vulnerable component within undertow), SSL/TLS is provided by Camel itself.

Comment 28 errata-xmlrpc 2020-05-18 10:27:22 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2020:2067 https://access.redhat.com/errata/RHSA-2020:2067

Comment 29 errata-xmlrpc 2020-05-28 15:59:30 UTC
This issue has been addressed in the following products:

  EAP-CD 19 Tech Preview

Via RHSA-2020:2333 https://access.redhat.com/errata/RHSA-2020:2333

Comment 30 errata-xmlrpc 2020-06-04 13:11:45 UTC
This issue has been addressed in the following products:

  Red Hat Runtimes Spring Boot 2.1.13

Via RHSA-2020:2367 https://access.redhat.com/errata/RHSA-2020:2367

Comment 31 errata-xmlrpc 2020-07-28 15:55:34 UTC
This issue has been addressed in the following products:

  Red Hat Fuse 7.7.0

Via RHSA-2020:3192 https://access.redhat.com/errata/RHSA-2020:3192


Note You need to log in before you can comment on or make changes to this bug.